Bug 7058 - Video hangs 3D over i845 after X session closed
: Video hangs 3D over i845 after X session closed
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/xorg-x11)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-10 15:05 by
Modified: 2005-10-31 23:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-10 15:05:32
Зависает видео, черные экраны что на консолях что в Хdm сессии при выходе из 
X-овой сессии, если включен DRI для i845 встроеного видео. 
 Ядро 2.6.11-std26-up-alt10 
 xorg-x11-6.8.2-alt8.2(все) 
 ddcprobe-0.1.1-alt2 
 libhw-0.2.15-alt1 
 libhw-tools-0.2.15-alt1 
 hwdatabase-0.3.10-alt1 
/sbin/lsmod | grep agp 
intel_agp              22172  1 
agpgart                33576  2 intel_agp 
/etc/X11/lib/libGL.so.1 -> ../../../usr/X11R6/lib/mesa_gl/libGL.so.1.2 
/etc/X11/lib/libglx.a-> ../../../usr/X11R6/lib/modules/extensions/libglx.a.x11 
1.) Аппаратный 3D пришлось отключить  
glxinfo 
name of display: :0.0 
display: :0  screen: 0 
direct rendering: No 
server glx vendor string: SGI 
server glx version string: 1.2 
server glx extensions: 
Потому как в xorg.conf 
#    Load       "dri" 
Если  раскоментировать то при выходе из Иксов имею зависание. клавиатура 
работает, можно уйти в перзагрузку по Ctrl-Alt-Del. Иногда спасает только 
Ctrl+Alt+BkSpace+B 
Steps to Reproduce:
1. Включить в конфигурации xorg.conf Load "dri" для i845 
2. Запустить X 
3. Выйти из Х 
Actual Results:  
Чёрный экран 

Expected Results:  
Продолжение работы в консоли или менеджере сеансов
------- Comment #1 From 2005-06-10 15:13:15 -------
покажите вывод 
$ rpmquery kernel-modules-drm-std26-up 
------- Comment #2 From 2005-06-10 15:38:21 -------
kernel-modules-drm-std26-up-2005.05.13-alt1.10 
 
------- Comment #3 From 2005-06-10 15:41:54 -------
# apt-get install kernel-modules-drm-std26-up#2005.05.30-alt1.10 
и почитывайте время от времени sisyphus@, это обсуждалось еще с месяц назад